Package com.usatiuk.objects

# Class JavaDataSerializer

java.lang.Object
com.usatiuk.objects.JavaDataSerializer

All Implemented Interfaces:
  `ObjectSerializer<JData>`

@ApplicationScoped public class JavaDataSerializer extends Object implements ObjectSerializer<JData>

## Constructor Summary

Constructors
Constructor
Description
`JavaDataSerializer()`

## Method Summary

Modifier and Type
Method
Description
`JData`
`deserialize(ByteBuffer data)`
`com.google.protobuf.ByteString`
`serialize(JData obj)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JavaDataSerializer

public JavaDataSerializer()

## Method Details

### serialize

public com.google.protobuf.ByteString serialize(JData obj)

Specified by:
  `serialize` in interface `ObjectSerializer<JData>`

### deserialize

public JData deserialize(ByteBuffer data)

Specified by:
  `deserialize` in interface `ObjectSerializer<JData>`